curl -X POST 'https://auth.riotgames.com/api/v1/authorization' \
-H 'Content-Type: application/json' \
--data '{
"client_id": "play-valorant-web-prod",
"nonce": "1",
"redirect_uri": "https://playvalorant.com/opt_in",
"response_type": "token id_token",
"scope": "account openid"
}'const res = await fetch('https://auth.riotgames.com/api/v1/authorization', {
method: 'POST',
headers: {
'Content-Type': 'application/json',
},
body: JSON.stringify({
"client_id": "play-valorant-web-prod",
"nonce": "1",
"redirect_uri": "https://playvalorant.com/opt_in",
"response_type": "token id_token",
"scope": "account openid"
}),
})
const data = await res.json()import requests
url = "https://auth.riotgames.com/api/v1/authorization"
headers = {
"Content-Type": "application/json",
}
payload = {
"client_id": "play-valorant-web-prod",
"nonce": "1",
"redirect_uri": "https://playvalorant.com/opt_in",
"response_type": "token id_token",
"scope": "account openid"
}
res = requests.request("POST", url, headers=headers, json=payload)
data = res.json()